[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SetResourceManager

Set the resource manager

## Declaration

Source position: resh.inc line 88

`procedure SetResourceManager(`
`const New: TResourceManager`
`);`

## Description

SetResourceManager sets the active resource manager to Manager. After a call to SetResourceManager, the functions in the Manager record will be used to handle resources.

Note that it is not supported to change resource managers on-the-fly: any resources or information about resources obtained should be discareded prior to a call to SetResourceManager. Typically, SetResourceManager should be called once, at program startup.

## Errors

None.

## See also

TResourceManager |  | Resource manager definition
GetResourceManager |  | Return the currently active resource manager

Documentation generated on: Feb 26 2014